.loader-container {
    width: 100%;
    height: 100%;
    display: flex;
    place-content: center;
    place-items: center;
    position: absolute;
    z-index: 10;
}

.loader {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: 15px solid transparent;
    border-top-color: var(--primary);
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
